## gkrellm-leds 0.8.0

=== Makefile ===
SHELL = /bin/sh
VPATH = src:src/pixmaps

GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`

X11_LIB = -L/usr/X11R6/lib -lX11 -lXtst

LIBS = $(GTK_LIB) $(X11_LIB)
DEFINES =
LFLAGS = -shared
INCLUDES = $(GTK_INCLUDE)
CFLAGS = -ansi -pedantic -Wall -O2 -fPIC 
CC = gcc

SRCS = gkleds.c
HDRS = gkleds.h
OBJS = gkleds.o
IMAGES = leds.xpm

INSTALL_PROG = install

.PHONY : clean
.PHONY : install
.PHONY : uninstall
.PHONY : test

#=======================================================================
#=======================================================================

gkleds.so : $(OBJS)
	$(CC) $(LFLAGS) $(LIBS) -o $@ $< 

gkleds.o : $(SRCS) $(HDRS) $(IMAGES)
	$(CC) $(CFLAGS) $(INCLUDES) $(DEFINES) -c -o $@ $< 

test :
	$(MAKE) clean
	$(MAKE) DEFINES="-DGKLEDS_DEBUG"
	gkrellm --sync --demo -p gkleds.so
	$(MAKE) clean

clean:
	rm -rf *.o *.so* *~ \#*
	rm -rf src/*~ src/\#*

install : gkleds.so
	@ if [ $$UID -ne 0 ]; \
		then PLUGIN_DIR=$$HOME/.gkrellm2/plugins; \
	elif [ -e /usr/bin/gkrellm ]; \
		then PLUGIN_DIR=/usr/lib/gkrellm2/plugins; \
	else \
		PLUGIN_DIR=/usr/local/lib/gkrellm2/plugins; \
	fi; \
	$(INSTALL_PROG) -d $$PLUGIN_DIR; \
	$(INSTALL_PROG) -s gkleds.so $$PLUGIN_DIR; \
	printf "\ngkleds installed in $$PLUGIN_DIR\n"

=== debian/changelog ===
gkrellm-leds (0.8.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:49:04 +0000

gkrellm-leds (0.8.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:33:10 +0000

gkrellm-leds (0.8.0-2) unstable; urgency=medium

  * Take maintainership, thanks Mike Markley for handing over
  * Packaging cleanup. Closes: #437030, #912836, #999083

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 02 Jan 2022 21:20:50 +0100

gkrellm-leds (0.8.0-1.4) unstable; urgency=medium

  * Non-maintainer upload
  * Fix startup error, thanks Renzo Davoli. Closes: #995968

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 18 Oct 2021 23:33:29 +0200

gkrellm-leds (0.8.0-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Declare debhelper compat level, bump to 10. Closes: #817336, #817476

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 16 Dec 2016 21:17:42 +0100

gkrellm-leds (0.8.0-1.2) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important RC bug; Closes: #515496).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Mar 2010 21:05:03 +0200

gkrellm-leds (0.8.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346741).

 -- Luk Claes <luk@debian.org>  Sun, 22 Jan 2006 18:56:09 +0100

gkrellm-leds (0.8.0-1) unstable; urgency=low

  * Initial Release.

 -- Mike Markley <mike@markley.org>  Sat, 18 Jan 2003 17:44:50 -0800

=== debian/control ===
Source: gkrellm-leds
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
    gkrellm,
    libgtk2.0-dev,
    libx11-dev,
    libxtst-dev,
    x11proto-core-dev,
Priority: optional
Rules-Requires-Root: no
Section: x11

Package: gkrellm-leds
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    gkrellm (>> 2.0) | gkrellm2,
Description: keyboard LED monitor for GKrellM
 gkrellm-leds (aka gkleds) is a GKrellM plugin which monitors the
 CapsLock, NumLock and ScrollLock keys and reports their current
 status via on screen LEDs.  This is useful for people who have
 keyboards without LEDs (typically cordless keyboards).
